optionsEditor.item.EJB.item.AppServer.propertyName = EJB.AppServer
optionsEditor.item.EJB.item.AppServer.name = Application Server
optionsEditor.item.EJB.item.AppServer.order = 5
optionsEditor.item.EJB.item.AppServer.view.description = Application Server
EJB.AppServer = EJB11

optionsEditor.item.EJB.view.UI = treeTableNodeUI
optionsEditor.item.EJB.order = 100
optionsEditor.item.EJB.condition = isFeatureEnabledByWorkspace("Options.ejb")
optionsEditor.item.EJB.view.expandLevel = 1
optionsEditor.item.EJB.view.description = ["EJB/ejbPage_description"]

EJB.suffixes.EntityBean = Bean, Impl, EJB
EJB.suffixes.SessionBean = Bean, Impl, EJB
EJB.suffixes.Home = Home
EJB.suffixes.Remote =
EJB.suffixes.PK = PK, Key, PrimaryKey

optionsEditor.item.EJB.item.EJBSuffixes.name = EJB component suffixes
optionsEditor.item.EJB.item.EJBSuffixes.view.description = "This options provide you ability for editing EJB suffixes. This suffixes will be used for EJB recognition."
optionsEditor.item.EJB.item.EJBSuffixes.item.EntityBean = StringField
optionsEditor.item.EJB.item.EJBSuffixes.item.EntityBean.name = Entity Bean class
optionsEditor.item.EJB.item.EJBSuffixes.item.EntityBean.propertyName = EJB.suffixes.EntityBean
optionsEditor.item.EJB.item.EJBSuffixes.item.EntityBean.view.description = "Suffixes for Entity bean."
optionsEditor.item.EJB.item.EJBSuffixes.item.SessionBean = StringField
optionsEditor.item.EJB.item.EJBSuffixes.item.SessionBean.name = Session Bean class
optionsEditor.item.EJB.item.EJBSuffixes.item.SessionBean.propertyName = EJB.suffixes.SessionBean
optionsEditor.item.EJB.item.EJBSuffixes.item.SessionBean.view.description = "Suffixes for Session bean."
optionsEditor.item.EJB.item.EJBSuffixes.item.Home = StringField
optionsEditor.item.EJB.item.EJBSuffixes.item.Home.name = Home interface
optionsEditor.item.EJB.item.EJBSuffixes.item.Home.propertyName = EJB.suffixes.Home
optionsEditor.item.EJB.item.EJBSuffixes.item.Home.view.description = "Suffixes for Home interface."
optionsEditor.item.EJB.item.EJBSuffixes.item.Remote = StringField
optionsEditor.item.EJB.item.EJBSuffixes.item.Remote.name = Remote interface
optionsEditor.item.EJB.item.EJBSuffixes.item.Remote.propertyName = EJB.suffixes.Remote
optionsEditor.item.EJB.item.EJBSuffixes.item.Remote.view.description = "Suffixes for Remote interface."
optionsEditor.item.EJB.item.EJBSuffixes.item.PK = StringField
optionsEditor.item.EJB.item.EJBSuffixes.item.PK.name = Primary Key class
optionsEditor.item.EJB.item.EJBSuffixes.item.PK.propertyName = EJB.suffixes.PK
optionsEditor.item.EJB.item.EJBSuffixes.item.PK.view.description = "Suffixes for Primary Key class."
